package com.slodon.b2b2c.enums;

/**
 * 平台商品导入枚举类
 */
public enum GoodsPlatformImportEnum {

    /**
     * 平台商品导入字段
     */
    商品名称("最多输入50个字", 20, true, 0),
    广告语("最多输入50个字", 20, false, 1),
    商品分类("只有三级分类才能发布商品", 20, true, 2),
    发布状态("默认待刊登", 10, false, 3),
    商品图片("填写图片的绝对地址，必须以http或https开头，多张图片用英文逗号分隔，最多6张", 30, true, 4),
    商品视频("填写视频的绝对地址，必须以http或https开头", 30, false, 5),
    市场价("市场价必须大于销售价，保留2位小数", 10, false, 6),
    销售价("销售价必须低于市场价，保留2位小数", 10, true, 7),
    重量("单位kg，保留3位小数", 10, false, 8),
    长("单位cm，保留3位小数", 10, false, 9),
    宽("单位cm，保留3位小数", 10, false, 10),
    高("单位cm，保留3位小数", 10, false, 11),
    条形码("", 20, false, 12),
    商品详情("", 20, false, 13),
    ;

    GoodsPlatformImportEnum(String des, Integer columnWidth, Boolean required, Integer colNo) {
        this.des = des;
        this.columnWidth = columnWidth;
        this.required = required;
        this.colNo = colNo;
    }

    /**
     * 描述，批注
     */
    private String des;
    /**
     * 字段列宽
     */
    private Integer columnWidth;
    /**
     * 是否必填
     */
    private Boolean required;
    /**
     * 列号
     */
    private Integer colNo;

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public Integer getColumnWidth() {
        return columnWidth;
    }

    public void setColumnWidth(Integer columnWidth) {
        this.columnWidth = columnWidth;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public Integer getColNo() {
        return colNo;
    }

    public void setColNo(Integer colNo) {
        this.colNo = colNo;
    }
}
